<?php
/**
 * 
 * @file order.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_order.php');

$url = 'mod_order/order.php';
Common::checkAdminFileAuth($url); //check file authority
$clComOrder = new ComOrder();

$act = kGet('act');
switch ($act) {
    case 'delete_forever':
        $clComOrder -> deleteRecords();
        break;

    case 'setvalue':
        $clComOrder -> setFieldRecords();
        break;

    default :
        $layout = $clComOrder -> get_layout_order();
        require_once(getAdminTemplatePath('order', $url));
        break;
} 

?>
